<div class="container">
  <div class="row">
    <div class="col-lg-6 col-md-8 col-xs-12 mx-auto container-bg p-5 p-md-3 p-xs-2 rounded">
      <div class="col-lg-10 col-md-12 mx-auto py-5">
        <div class="authBlock">
          <h2 class="text-center pb-5">Sign up</h2>
          <div class="form">
            <form [formGroup]="this.signUpForm" (ngSubmit)="this.signUp()">
              <div class="form-group">
                <input type="text"
                  class="form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 px-1 py-2"
                  id="displayName-input" placeholder="Display name" formControlName="displayName" autocomplete="on">
              </div>
              <div class="form-group">
                <input type="email"
                  class="form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 px-1 py-2"
                  id="email-input" placeholder="Email" formControlName="email" autocomplete="on">
              </div>
              <div class="form-group">
                <input type="password"
                  class="form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 px-1 py-2"
                  id="password-input" placeholder="Password" formControlName="password" autocomplete="on">
              </div>
              <div class="form-group">
                <input type="password"
                  class="form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 px-1 py-2"
                  id="confirm-input" placeholder="Confirm password" formControlName="confirm" autocomplete="on">
              </div>

              <button type="submit" class="btn btn-outline-primary btn-block" [disabled]="!isPasswordMatch()">Sign
                up!</button> &nbsp;
            </form>

            <div *ngIf="auth.currentUser$ | async as user; else login">

              <button class="btn btn-outline-secondary" (click)="auth.signOut()">Sign Out</button>
            </div>
            <ng-template #login>
              <div class="formGroup">
                <button type="button" class="btn btn-outline-danger btn-block" (click)="auth.googleSignIn()"
                  [disabled]="signUpForm.invalid">
                  <i class="fab fa-google-plus-g"></i>
                  Sign up with Google
                </button>
              </div>
            </ng-template>
          </div>
        </div>
      </div>
    </div>
  </div>
